%define subrel 1

Name: avidemux-plugins
Version: 2.6.6
Release: %mkrel 2
Summary: A free video editor
Source0: http://downloads.sourceforge.net/%{name}/avidemux_%{version}.tar.gz
Patch0: avidemux-plugins-2.6.4-linkage.patch
License: GPLv2+
Group: Video/Editors and Converters
Url: http://fixounet.free.fr/avidemux
BuildRequires: avidemux-devel = %{version}
BuildRequires: avidemux-cli = %{version}
BuildRequires: avidemux-cli-devel = %{version}
BuildRequires: avidemux-qt = %{version}
BuildRequires: avidemux-qt-devel = %{version}
BuildRequires: qt4-devel
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(xv)
BuildRequires: pkgconfig(vdpau)
BuildRequires: pkgconfig(sdl)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(vorbis)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(libpulse-simple)
BuildRequires: pkgconfig(libvpx)
BuildRequires: pkgconfig(twolame)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(fribidi)
%if "%distro_section" == "tainted"
BuildRequires: pkgconfig(opencore-amrnb)
BuildRequires: pkgconfig(opencore-amrwb)
BuildRequires: pkgconfig(x264)
BuildRequires: pkgconfig(dcaenc)
BuildRequires: pkgconfig(libdca)
BuildRequires: libfaad2-devel
BuildRequires: lame-devel
BuildRequires: xvid-devel
%endif
BuildRequires: cmake
Requires: %{_lib}avidemux >= %{version}

%description
Avidemux is a free video editor designed for simple cutting,
filtering and encoding tasks.It supports many file types, including
AVI, DVD compatible MPEG files, MP4 and ASF, using a variety of
codecs. Tasks can be automated using projects, job queue and
powerful scripting capabilities.

This package contains the variouos common plugins of %{name}.

%package -n avidemux-cli-plugins
Summary: Plugins for avidemux command line user interface
Requires: avidemux-cli = %{version}

%description -n avidemux-cli-plugins
This package contains plugins for avidemux command line user interface.

%package -n avidemux-qt-plugins
Summary: Plugins for avidemux qt4 interface
Requires: avidemux-qt = %{version}

%description -n avidemux-qt-plugins
This package contains plugins for avidemux qt4 user interface.

%prep
%setup -qn avidemux_%{version}/avidemux_plugins
%apply_patches

%build
%cmake -DAVIDEMUX_SOURCE_DIR=$RPM_BUILD_DIR/avidemux_%{version} -DPLUGIN_UI=COMMON,CLI,QT4
%make

%install
%makeinstall_std -C build

%files
%{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_Mad.so
%{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_a52.so
%{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_ima_adpcm.so
%{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_lav.so
%{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_ms_adpcm.so
%{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_ulaw.so
%{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_vorbis.so
%{_libdir}/ADM_plugins6/audioDevices/libADM_av_alsaDMix.so
%{_libdir}/ADM_plugins6/audioDevices/libADM_av_alsaDefault.so
%{_libdir}/ADM_plugins6/audioDevices/libADM_av_alsaHw.so
%{_libdir}/ADM_plugins6/audioDevices/libADM_av_jack.so
%{_libdir}/ADM_plugins6/audioDevices/libADM_av_oss.so
%{_libdir}/ADM_plugins6/audioDevices/libADM_av_pulseAudioSimple.so
%{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_lav_aac.so
%{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_lav_ac3.so
%{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_lav_mp2.so
%{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_pcm.so
%{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_twolame.so
%{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_vorbis.so
%{_libdir}/ADM_plugins6/autoScripts/*
%{_libdir}/ADM_plugins6/demuxers/libADM_dm_asf.so
%{_libdir}/ADM_plugins6/demuxers/libADM_dm_avsproxy.so
%{_libdir}/ADM_plugins6/demuxers/libADM_dm_flv.so
%{_libdir}/ADM_plugins6/demuxers/libADM_dm_matroska.so
%{_libdir}/ADM_plugins6/demuxers/libADM_dm_mp4.so
%{_libdir}/ADM_plugins6/demuxers/libADM_dm_mxf.so
%{_libdir}/ADM_plugins6/demuxers/libADM_dm_opendml.so
%{_libdir}/ADM_plugins6/demuxers/libADM_dm_pic.so
%{_libdir}/ADM_plugins6/demuxers/libADM_dm_ps.so
%{_libdir}/ADM_plugins6/demuxers/libADM_dm_ts.so
%{_libdir}/ADM_plugins6/muxers/libADM_mx_Mkv.so
%{_libdir}/ADM_plugins6/muxers/libADM_mx_avi.so
%{_libdir}/ADM_plugins6/muxers/libADM_mx_dummy.so
%{_libdir}/ADM_plugins6/muxers/libADM_mx_ffPS.so
%{_libdir}/ADM_plugins6/muxers/libADM_mx_ffTS.so
%{_libdir}/ADM_plugins6/muxers/libADM_mx_flv.so
%{_libdir}/ADM_plugins6/muxers/libADM_mx_mp4.so
%{_libdir}/ADM_plugins6/muxers/libADM_mx_mp4v2.so
%{_libdir}/ADM_plugins6/muxers/libADM_mx_raw.so
%{_libdir}/ADM_plugins6/scriptEngines/libADM_script_spiderMonkey.so
%{_libdir}/ADM_plugins6/scriptEngines/libADM_script_tinyPy.so
%{_libdir}/ADM_plugins6/videoDecoders/libADM_vd_vpx.so
%{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_ffDv.so
%{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_ffFlv1.so
%{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_ffMpeg2.so
%{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_ffMpeg4.so
%{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_huff.so
%{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_jpeg.so
%{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_null.so
%{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_png.so
%{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_yv12.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_hf_hflip.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_DgBob.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_FluxSmooth.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_addBorders.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_avsfilter.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_blackenBorders.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_changeFps.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_colorYuv.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_decimate.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_denoise3d.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_denoise3dhq.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_dummy.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_fadeToBlack.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_gauss.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_hzstackField.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_kernelDeint.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_largeMedian.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_lavDeint.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_logo.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_lumaOnly.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_mean.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_median.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_mergeField.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_msharpen.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_printInfo.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_removePlane.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_resampleFps.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_rotate.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_separateField.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_sharpen.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_ssa.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_stackField.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_swapUV.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_telecide.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_unstackField.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_vdpauFilter.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_vdpauFilterDeint.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_vflip.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_yadif.so
%if "%distro_section" == "tainted"
%{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_faad.so
%{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_opencore_amrnb.so
%{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_opencore_amrwb.so
%{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_dca.so
%{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_dcaenc.so
%{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_lame.so
%{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_xvid4.so
%{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_x264_other.so
%{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_x264_qt4.so
%endif

%files -n avidemux-cli-plugins
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_CropCli.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_HueCli.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_chromaShiftCli.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_contrastCli.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_eq2Cli.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_mpdelogoCli.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_swscaleResize_cli.so

%files -n avidemux-qt-plugins
%{_libdir}/ADM_plugins6/scriptEngines/libADM_script_qt.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_HueQt4.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_asharpQt4.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_chromaShiftQt4.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_contrastQt4.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_cropQt4.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_eq2Qt4.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_glBenchmark.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_glResize.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_mpdelogoQt4.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_rotateGlFrag2.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_sampleGlFrag2.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_sampleGlVertex.so
%{_libdir}/ADM_plugins6/videoFilters/libADM_vf_swscaleResize_qt4.so
%doc %{_datadir}/avidemux6/help/QtScript


%changelog
* Sat Jun 28 2014 daviddavid <daviddavid> 2.6.6-2.1.mga4
+ Revision: 640767
- add missing BR on x264-devel pkg (mga#13113)
- add more BRs to improve and added more avidemux plugins (that are available)
  * dcaenc-devel and libdca-devel

* Mon Oct 21 2013 umeabot <umeabot> 2.6.6-2.mga4.tainted
+ Revision: 538173
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 fwang <fwang> 2.6.6-1.mga4.tainted
+ Revision: 488937
- update file list
- new version 2.6.6

* Fri Aug 30 2013 fwang <fwang> 2.6.5-1.mga4.tainted
+ Revision: 473219
- update file list
- new version 2.6.5

* Sun Aug 25 2013 fwang <fwang> 2.6.4-3.mga4.tainted
+ Revision: 471631
- fix version requires

* Sun Aug 25 2013 fwang <fwang> 2.6.4-2.mga4.tainted
+ Revision: 471504
- update file list for tainted package

* Sun Aug 25 2013 fwang <fwang> 2.6.4-2.mga4
+ Revision: 471488
- update file list
- update file list
- build more plugins
- add more br

* Sun Aug 25 2013 fwang <fwang> 2.6.4-1.mga4
+ Revision: 471464
- update file list
- fix linkage and add brs
- update build dir
- imported package avidemux-plugins

